<template>
  <div class="my-4">
    <b-progress max="100" height="8px">
      <b-progress-bar :id="`${value}`" variant="primary" :value="value" v-b-tooltip.hover.top :title="`${percentBattery(value)}%`" >

      </b-progress-bar>

    </b-progress>
    
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "ProgressPercent",
  props: {
    value: Number
  },
  data() {
    return {
    }
  },
  methods: {
    percentBattery(value: number) {
      return value.toFixed(this.sizeDecimal(value))
    },
    sizeDecimal(n: number) {
      const truncated = Math.trunc(n).toString()
      return truncated.length - 1
    }
  }
});
</script>

<style>
.tooltip-inner {
    max-width: 200px;
    padding: 0.25rem 20px !important;
    color: #007bff !important;
    text-align: center;
    background-color: #f3f8fe !important;
    border-radius: 10px !important;
    border-color: #004085;
    border: solid 2px #007bff;
    font-weight: 600;
    right: 100px;
}


.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^="top"] .arrow::before {
    border-top-color: #007bff !important;
    position: absolute;
}
</style>
